# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = 'dir_size'
  spec.version       = '0.1.1'
  spec.date          = Time.now.strftime('%Y-%m-%d')
  spec.authors       = ['Bachue Zhou']
  spec.email         = ['bachue.shu@gmail.com']

  spec.summary       = 'To calculate the directory size'
  spec.description   = spec.summary
  spec.homepage      = 'http://gitcafe.com/bachue/dir_size'
  spec.license       = 'MIT'

  spec.required_ruby_version = '>= 1.9.3'
  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.require_paths = ['lib']
  spec.extensions    << 'ext/dir_size/extconf.rb'

  spec.add_development_dependency 'bundler', '~> 1.10'
  spec.add_development_dependency 'rake-compiler', '>= 0.9.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
